com.sun.messaging.jms

## Interface TopicConnection

All Superinterfaces:
  Connection, TopicConnection

    public interface TopicConnection
    extends TopicConnection

Provide interface to create a MQ NO_ACKNOWLEDGE Topic Session.

### Method Summary

Methods
`TopicSession` `createTopicSession(int acknowledgeMode)` Creates a `TopicSession` object.

### Methods inherited from interface javax.jms.TopicConnection

`createConnectionConsumer, createDurableConnectionConsumer, createTopicSession`

### Methods inherited from interface javax.jms.Connection

`close, createConnectionConsumer, createSession, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

### Method Detail

#### createTopicSession

    TopicSession createTopicSession(int acknowledgeMode)
                                    throws JMSException

Creates a `TopicSession` object.

Parameters:
  `acknowledgeMode` - indicates whether the consumer or the client will acknowledge any messages it receives; Legal values are `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`, and `com.sun.messaging.jms.Session.NO_ACKNOWLEDGE`
Returns:
  a newly created session
Throws:
  `JMSException` - if the `TopicConnection` object fails to create a session due to some internal error or lack of support for the specific transaction and acknowledgement mode.
  `JMSException`
See Also:
  `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`, `Session.NO_ACKNOWLEDGE`